#ifndef UKMEDIA_ITEM_WIDGET_H
#define UKMEDIA_ITEM_WIDGET_H

#include <QLabel>
#include <QSlider>
#include <QWidget>
#include <QComboBox>
#include <QBoxLayout>
#include <QDBusError>
#include <QDBusReply>
#include <QDBusInterface>
#include <QDBusConnection>
#include <QDBusPendingReply>
#include <QDBusPendingCallWatcher>
#include "kslider.h"
#include "../ukui_custom_style.h"

using namespace kdk;

class UkmediaAppItemWidget : public QWidget
{
    Q_OBJECT
public:
    UkmediaAppItemWidget(QWidget *parent = nullptr);
    ~UkmediaAppItemWidget();
    friend class UkmediaAppCtrlWidget;

    void initUI();
    void addInputCombobox(QString port);
    void addOutputCombobox(QString port);
    void setSliderValue(int value);
    void outputVolumeDarkThemeImage(int value, bool status);
    void setTitleName(QString name);        //设置应用标题名
    void setChildObjectName(QString name);  //设置控件object name

private:
    QFrame* myLine();
//    QFrame *line1;
//    QFrame *line2;
    QFrame *m_pAppWidget;
    QFrame *m_pInputWidget;
    QFrame *m_pOutputWidget;
    QFrame *m_pVolumeWidget;
    QFrame *m_pCheckWidget;

    QLabel *m_pAppLabel;
    QLabel *m_pVolumeLabel;
    QLabel *m_pInputDevLabel;
    QLabel *m_pOutputDevLabel;
    QLabel *m_pVolumeNumLabel;

    KSlider *m_pVolumeSlider;
    QComboBox *m_pInputCombobox;
    QComboBox *m_pOutputCombobox;
    QPushButton *m_pCheckBtn;
    UkuiButtonDrawSvg *m_pVolumeBtn;
};

#endif //UKMEDIA_ITEM_WIDGET_H
