#ifndef UKMEDIA_SETTINGS_WIDGET_H
#define UKMEDIA_SETTINGS_WIDGET_H

#include <QWidget>
#include <QComboBox>
#include <QLabel>
#include <QHBoxLayout>
#include "ukui_custom_style.h"
#include "switchbutton.h"
#include "kswitchbutton.h"

using namespace kdk;

class UkmediaSettingsWidget : public QWidget
{
    Q_OBJECT
public:
    explicit UkmediaSettingsWidget(QWidget *parent = nullptr);
    ~UkmediaSettingsWidget();
    friend class UkmediaMainWidget;

private:
    QFrame *myLine();
    QFrame *m_pAdvancedSettingsWidget;  //用于存放声音设备管理、应用声音的窗口的窗口
    QFrame *m_pEquipmentControlWidget;  //声音设备管理窗口
    QFrame *m_pAppSoundCtrlWidget;      //应用声音窗口

    TitleLabel *m_pAdvancedSettingsLabel;

    QLabel *m_pAppSoundLabel;
    QLabel *m_pEquipmentControlLabel;
    QPushButton *m_pAppSoundDetailsBtn;
    QPushButton *m_pDevControlDetailsBtn;
};

#endif // UKMEDIA_SETTINGS_WIDGET_H
