#ifndef SOUND_THEME_PLAYER_H
#define SOUND_THEME_PLAYER_H

#include <QMap>
#include <QFile>
#include <QDebug>
#include <canberra.h>
#include <QGSettings>
#include <QDomDocument>
#include <QtDBus/QDBusConnection>
#include <QtDBus/QDBusMessage>
#include <QtDBus/QDBusInterface>
#include <QtDBus/QDBusObjectPath>
#include <qjsondocument.h>
#include <qjsonobject.h>
#include <QFileInfo>

extern "C" {
#include <dconf/dconf.h>
#include <canberra.h>
}

#define KEY_SOUNDS_SCHEMA   "org.ukui.sound"
#define EVENT_SOUNDS_KEY "event-sounds"
#define SOUND_THEME_KEY "theme-name"
#define SOUND_CUSTOM_THEME_KEY "custom-theme"
#define AUDIO_VOLUME_CHANGE "audio-volume-change"
#define NOTIFICATION_GENERAL "notification-general"
#define SOUND_FILE_PATH "/usr/share/sounds/xxxTheme/stereo/xxxFile.ogg"

class SoundThemePlayer : public QObject
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface","org.ukui.sound.theme.player")
public:
    SoundThemePlayer();
    ~SoundThemePlayer();
    void UkmediaPlayerDbusRegister();
    QString readJson(QString action);
    void addSoundFileList();
    bool playCustomAlertSound(QString soundPath);
    bool isFileExist(QString theme, QString soundTye);


public Q_SLOTS: //METHODS
    bool playAlertSound(QString soundEvent);

private:
    ca_context *caContext;
    QGSettings *m_pSoundSettings;
    QStringList m_pSoundFileList;
};

#endif // SOUND_THEME_PLAYER_H
